import { LabelDateComponentFormat } from './LabelDateComponentFormat.js';

interface LabelDateFormatJSON {
    componentFormat: LabelDateComponentFormat;
    acceptPartialDates: boolean;
}
declare class LabelDateFormat {
    private _componentFormat;
    private _acceptPartialDates;
    constructor(componentFormat: LabelDateComponentFormat, acceptPartialDates?: boolean);
    get componentFormat(): LabelDateComponentFormat;
    get acceptPartialDates(): boolean;
    toJSONObject(): LabelDateFormatJSON;
}

export { LabelDateFormat, type LabelDateFormatJSON };
